Subject: Re: Cross compiling on FreeBSD 5.0, malloc.h is deprecated
To: None <>
From: Chuck Yerkes <>
List: current-users
Date: 10/29/2003 00:01:01
5.1 (or is it 5.2 alpha?) is a LOT more useful to discuss
than 5.0.  This is an experimental branch and it's getting
more stable rapidly.  But I'd only use 5.0 for playing with
a little bit.

Quoting Aron Stansvik (
> Hey guys.
> I'm trying to cross compile netbsd-current on FreeBSD 5.0 with gcc
> 3.2.1, but since the code uses the deprecated header malloc.h while
> still defining the __STDC__ macro, I get an error (#error in
> /usr/include/malloc.h). Is this a known problem, and if so, what
> is the preferred way of fixing it?
> Sincerely,
> Aron Stansvik
> --
> unemployed